1. Payments
Payflow API
Spain
  • Spain
  • Colombia
  • Peru
  • Guides
    • API Integration guide
  • Definitions
    • Employees
      • Employee Statuses
      • Salary Concepts
    • Payments
      • Payment Lifecycle
  • Explore our Public API
    • Auth & Health
      • Health
      • Test an API Key
    • Company
      • Retrieve your Company Details
    • Employee
      • Retrieve an Employee
      • Retrieve all Employees
      • Retrieve all Employees (V1.1)
      • Create an Employee
      • Upsert Employees in Bulk
      • Update an Employee by Personal ID
      • Update an Employee by Payflow ID
      • Update an Employee by Payroll ID
    • Leaves
      • Retrieve all Employees on Leave
      • Create an Employee Leave
      • Remove an Employee Leave
    • Payments
      • Retrieve a Payment
        GET
      • Retrieve all Payments
        GET
      • Retrieve Employee Payments
        GET
      • Calculate Employee Available Amount
        GET
      • Request a Payment
        POST
      • Subscribe to Payment Updates
        POST
      • Mark Payments as Informed
        PUT
    • Flexflow
      • Retrieve all Flexflow Transactions
      • Retrieve Employee Flexflow Transactions
  • Notifications Structure
    • Payment Updates
  • Schemas
    • Company
      • Company Response
    • Employee
      • ES | Create Employee Request
      • ES | Update Employee Request
      • ES | Employee Response
      • Create Employee Leave Request
    • Payment
      • Payment Response
      • Payment Response Convoluted
      • Payment Update
    • Flexflow
      • Employee Flexflow Transactions
    • Error
      • Generic Error Response
  1. Payments

Calculate Employee Available Amount

Production
https://api-public.payflow.es
Production
https://api-public.payflow.es
GET
https://api-public.payflow.es
/payments/available
Retrieves the amount currently available for an employee to withdraw through Payflow.
The calculated amount is based on worked days, salary configuration, company settings, and withdrawals already made during the current payment cycle.
Learn more
See the Salary Concepts guide for more information about available amount calculations.

Request

Authorization
API Key
Add parameter in header
authorization
Example:
authorization: ********************
or
Query Params

Responses

🟢200
application/json
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-public.payflow.es/payments/available?id=&payrollId=&personalId=' \
--header 'authorization: <api-key>'
Response Response Example
{
    "available": 500,
    "amountReason": null,
    "reducedAmountReason": null,
    "withdrawn": 0,
    "remainingSalary": 2000,
    "salaryEarnedInfo": {
        "dayNumberInCycle": 13,
        "numberOfDaysInCycle": 30,
        "netSalary": 2000,
        "totalEarned": 866
    }
}
Modified at 2026-06-29 09:25:09
Previous
Retrieve Employee Payments
Next
Request a Payment
Built with